import { FileReadGrantsDto, FileReadGrantsUnboxedDto } from "../../auth/dtos/FileReadGrantsDto";
import { FolderReadGrantsDto } from "../../auth/dtos/FolderReadGrantsDto";
export interface PathPermissionReadGrantsDto {
    /**
     * Grants that apply if the path is being treated as a file.
     */
    file: FileReadGrantsDto;
    /**
     * Grants that apply if the path is being treated as a folder.
     */
    folder: FolderReadGrantsDto;
}
/**
 * Permissions relating to the reading of files and folders matched by the outer FolderPublicPermissions object.
 */
export interface PathPermissionReadGrantsUnboxedDto {
    file: FileReadGrantsUnboxedDto;
    folder: FolderReadGrantsDto;
}
export declare namespace PathPermissionReadGrantsDto {
    const denyAll: PathPermissionReadGrantsDto;
    function logicalAnd(a: PathPermissionReadGrantsDto, b: PathPermissionReadGrantsDto): PathPermissionReadGrantsDto;
}
