import { QueryParamDefinition } from "../../../plugins/qsToJsonMapper/model/QueryParamDefinition";
/**
 * Key is the query param name.
 *
 * A query param name can have multiple 'overloads'. When query param overloading is used, each query param may
 * reference a different JSON paths, but the query param's type must be different across each overload.
 *
 * Example:
 * 1. { type: "automatic" }
 * 2. { type: "manual", value: number }
 *
 * Above, you could use "foo=auto" to imply option 1, and "foo=42" to imply option 2, assuming "foo" was mapped to
 * "type" on the data type in option 1, and "foo" was also mapped to "value" on the data type in option 2.
 */
export declare type QueryParamDefinitionMap = Record<string, QueryParamDefinition[] | undefined>;
