/**
 * IMPORTANT:
 * - This is a special-case encoder, specifically for use with the JSON<->QueryString framework we've built.
 * - It does not actually URL encode.
 * - Instead, it prepares/unpacks data for/from the querystring, based on the JSON Schema of the object it's going to/coming from.
 */
import { JSONSchema7 } from "json-schema";
export declare class QueryParamEncoder {
    static encodeForQueryString(value: string, schema: JSONSchema7): string;
    static decodeFromQueryString(value: string, schema: JSONSchema7): string;
    private static fieldStartsWithHash;
}
